import isArray_default from "./isArray.js";
import _arrayEach_default from "./_arrayEach.js";
import _baseEach_default from "./_baseEach.js";
import _castFunction_default from "./_castFunction.js";
function forEach(i, a) {
	return (isArray_default(i) ? _arrayEach_default : _baseEach_default)(i, _castFunction_default(a));
}
var forEach_default = forEach;
export { forEach_default as default };
